<div class="flex flex-col h-full" @fadeInOut [formGroup]="formGroup"> 
  @if(participants()){ 
    <div class="flex items-center w-full p-4 space-x-4 sm:p-6 lg:justify-end lg:py-4">
      <div class="flex flex-1 items-center justify-between rounded-md border border-border px-3 py-1.5 shadow-sm lg:flex-initial">
        <input type="text" class="w-full p-0 text-sm border-none placeholder:text-sm placeholder:text-gray-400 focus:ring-0" placeholder="멤버 검색" formControlName="name" />
        <figure><img src="/assets/icons/search.svg" alt="" class="h-6 w-7" /></figure>
      </div>
      @if(project?.myRole === Roles.GUEST){
        <app-button [fill]="'outline'" class="rounded-md border !border-error px-3 py-1.5 text-xs font-semibold leading-6 !text-error shadow-sm" (click)="leave()">프로젝트 탈퇴</app-button>
      }@else {
        <button class="rounded-md bg-primary px-3 py-1.5 text-xs font-semibold leading-6 text-white shadow-sm" (click)="openRegister()">멤버 초대</button>
      }
    </div> 
    <div class="flex-1 px-4 pb-4 sm:px-6 sm:pb-6 lg:px-8 lg:pb-8">
      <div class="flex mb-4 text-sm font-semibold text-gray-600 lg:border-b lg:border-b-gray-400 lg:py-3">
        <p class="lg:w-2/5">이름</p>
        <p class="hidden lg:w-1/5 lg:flex">가입일</p>
        <p class="hidden lg:w-1/5 lg:flex">수락여부</p>
      </div>   
        @for (participant of participants(); track $index) {
          <div class="flex items-center w-full lg:border-b lg:border-gray-200">
            <div class="flex flex-1 w-full h-full py-2 lg:py-3">
              <div class="flex space-x-2 item-center lg:w-2/5">
                <div class="relative">
                  <ion-avatar class="w-10 h-10 overflow-hidden shadow-sm">
                    <img alt="avatar" class="w-full h-full" [src]="participant.user.thumbnail ?? 'assets/images/avatar.png'" />
                  </ion-avatar> 
                  @if(participant.role  === Roles.MASTER){
                  <ion-avatar class="absolute w-4 h-4 border border-white rounded-full -right-1 -top-0 bg-primary">
                    <img alt="avatar" class="w-full h-full" src="assets/icons/crown.svg" />
                  </ion-avatar> 
                  } 
                </div>
                <div class="flex flex-col justify-around h-full">
                  <p class="text-sm font-semibold leading-4">{{participant.user.username}}</p>
                  <p class="text-xs font-medium leading-[14px] text-gray-500">{{participant.user.email}}</p>
                </div>
              </div>
              <div class="flex items-center justify-end lg:justify-between lg:w-1/5">
                <p class="hidden text-xs font-medium text-gray-500 lg:block">{{participant.createdAt|date:'yyyy.MM.dd'}}</p>
                   </div>
              <div class="flex items-center justify-end flex-1 lg:justify-between lg:w-1/5">
                <p class="hidden text-xs font-medium text-gray-500 lg:block">{{participant.isAccept ? '수락':'미수락'}}</p>
               </div>
            </div>
            <div class="w-10">
            @if(participant.role  !== Roles.MASTER && project?.myRole !== Roles.GUEST ){
              <app-more-option-button [type]="'exile'" (deleteBtnClick)="memberDelete(participant.user.id)" />   
            }
            </div>
          </div>
        }  
    </div>
    <button class="flex items-center justify-center text-sm font-semibold leading-6 text-white h-14 bg-primary lg:hidden" (click)="openRegister()">멤버 초대</button>
  } 
</div>
